export const SET_DEL_TYPE = 'SET_DEL_TYPE'
export const SET_DEL_SERVICE = 'SET_DEL_SERVICE'
export const SET_DEL_ADDRESS = 'SET_DEL_ADDRESS'
export const DEL_SERVICES_REQUEST = 'DEL_SERVICES_REQUEST'
export const DEL_SERVICES_SUCCESS = 'DEL_SERVICES_SUCCESS'
export const DEL_SERVICES_FAILURE = 'DEL_SERVICES_FAILURE'

const delTypes = [
  {key: 'point', title: 'to point'},
  {key: 'home', title: 'to home'}
]

const fetchDelServices = () => ({
  API: {
    types: [ DEL_SERVICES_REQUEST, DEL_SERVICES_SUCCESS, DEL_SERVICES_FAILURE ],
    endpoint: 'delivery_services/'
  }
})

export const setDelType = (delType) => {
  return {
    type: SET_DEL_TYPE,
    delType
  }
}

export const setDelService = (delService) => {
  return {
    type: SET_DEL_SERVICE,
    delService
  }
}

export const setDelAddress = (address) => {
  return {
    type: SET_DEL_ADDRESS,
    address
  }
}