import React from 'react'
import PropTypes from 'prop-types'
import Select from '../elements/SelectComponent';
import TextField from 'material-ui/TextField';

const Delivery = ({ ...props }) => (
  <div className="del-info">
    <div className="flex-row-grow">
      <Select className={'del-select-left'} value={props.delType} items={props.delTypes} handleChange={props.setDelType} fullWidth />
      <Select className={'del-select-right'} value={props.delService} items={props.delServices} fullWidth
              handleChange={(key) => props.setDelService(parseInt(key, 10))} />
    </div>
    {props.delPointAddress ?
      <TextField value={props.delPointAddress} disabled fullWidth className={'del-address'} /> :
      <TextField required className={'del-address'} label="Адреса доставки або номер відділення" value={props.address} fullWidth
                 onChange={(e) => {props.setAddress(e.target.value)}}/>
    }
  </div>
)

Delivery.propTypes = {
    delService: PropTypes.number,
    delType: PropTypes.string,
    payWay: PropTypes.string,
    address: PropTypes.string,
    delTypes: PropTypes.array.isRequired,
    delServices: PropTypes.array.isRequired,
    isFetching: PropTypes.bool.isRequired,
    setDelType: PropTypes.func.isRequired,
    setDelService: PropTypes.func.isRequired,
    setAddress: PropTypes.func.isRequired,
    payOnReceive: PropTypes.bool.isRequired
}

export default Delivery