import React from 'react'
import PropTypes from 'prop-types'
import { connect } from 'react-redux'
import { fetchDelServices, setDelType, setDelService, setDelAddress } from './actions'
import Delivery from './component'


class DeliveryContainer extends React.Component {
  static propTypes = {
    delService: PropTypes.number,
    delType: PropTypes.string,
    payWay: PropTypes.string,
    address: PropTypes.string,
    isFetching: PropTypes.bool.isRequired,
    setDelType: PropTypes.func.isRequired,
    setDelService: PropTypes.func.isRequired,
    delTypes: PropTypes.array.isRequired,
    delServices: PropTypes.array.isRequired,
    setAddress: PropTypes.func.isRequired,
    payOnReceive: PropTypes.bool.isRequired,
  }
  componentDidMount() {
    const { dispatch } = this.props
    dispatch(fetchDelServices())
  }
  render() {
    let delPointAddress = ''
    let { delType, delService, delServices } = this.props
    if (delType === 'point') {
      let ds = delServices.filter(x => x.key === delService)[0]
      console.log(ds)
      if (ds && ds.points.length === 1) delPointAddress = ds.points[0].address
    }
    return (
      <Delivery delPointAddress={delPointAddress} {...this.props} />
    )
  }
}


const mapStateToProps = state => {
  return state.delivery
}
const mapDispatchToProps = (dispatch) => {
  return {
    setDelType: id => {
      dispatch(setDelType(id))
    },
    setDelService: id => {
      dispatch(setDelService(id))
    },
    setAddress: address => {
      dispatch(setDelAddress(address))
    },
    dispatch
  }
}


export default connect(mapStateToProps, mapDispatchToProps)(DeliveryContainer)