import { SET_DEL_TYPE, SET_DEL_SERVICE, SET_DEL_ADDRESS, DEL_SERVICES_REQUEST, DEL_SERVICES_SUCCESS }
  from './actions'

const delTypes = [
  {key: 'point', title: 'до відділення'},
  {key: 'home', title: 'додому'}
]

const delivery = (state = {
  isFetching: false,
  delService: 0,
  address: '',
  error: '',
  items: [],
  delTypes: delTypes,
  delType: delTypes[0].key,
  delServices: [],
  payOnReceive: false
}, action) => {
  switch (action.type) {
    case SET_DEL_SERVICE:
      let ds = state.items.filter(x => x.key === action.delService)[0]
      return Object.assign({}, state, {
        delService: action.delService,
        payOnReceive: ds.pay_on_receive
      })
    case SET_DEL_TYPE:
      let services = state.items.filter(item => (action.delType !== 'home' || item.home_price))
      let index = services.map((item) => {return item.key}).indexOf(state.delService);
      let delService = index === -1 ? services[0].key: state.delService
      return Object.assign({}, state, {
        delType: action.delType,
        delServices: services,
        delService
      })
    case SET_DEL_ADDRESS:
      return Object.assign({}, state, {
        address: action.address
      })
    case DEL_SERVICES_SUCCESS:
      return Object.assign({}, state, {
        isFetching: false,
        items: action.services,
        delServices: action.services,
        delService: action.services[0].key,
        payOnReceive: action.services[0].pay_on_receive,
        error: action.error
      })
    case DEL_SERVICES_REQUEST:
      return Object.assign({}, state, {
        isFetching: true,
        error: ''
      })
    default:
      return state
  }
}

export default delivery
